Subject: Re: [PATCH] zsh x font family completion
From: Oliver Kiddle <[email-masked]>
To: Marko Myllynen <[email-masked]>
Cc: [email-masked]
Date: Wed, 11 May 2016 17:01:45 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Marko Myllynen wrote:
>
> I'm working on completions for a command which has an option to select
> the font family to use, I was wondering whether X font family
> completions would be worthwhile to add for others to use as well?

Note that there is an existing _xft_fonts function which does something
close to this. Would it work with the command you're writing a
completion for. It might be better to give it an option to limit it to
completing font families. Or does the command actually allow a size to
be specified.

Unlike for old style X fonts, the method of describing the newer fonts
is not as precisely defined.

Oliver